@import url("https://fonts.googleapis.com/css2?family=Poppins:ital@1&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Architects+Daughter&display=swap");

body {
  max-height: 100vh;
  margin: 0;
  font-family: "Poppins", Verdana, Geneva, Tahoma, sans-serif;
  scroll-behavior: smooth;
  background-color: black;
}

             // header

#header_nav {
  .nav-container {
    z-index: 2;
    position: absolute;
    margin-left: 70%;
    a {
      color: rgb(211, 211, 211);
    }
  }

  header {
    display: flex;
    justify-content: space-between;
    padding: 2em;
    
    ul {
      display: flex;
      list-style-type: none;
      margin: 0;
      padding: 0;
      a {
        padding: 0 1em;
        text-decoration: none;
      }
      a:hover {
        color: rgb(0, 255, 200);
        cursor: crosshair;
        margin: 2px;
        box-shadow: 2px 0px rgba($color: #ff0000, $alpha: 3.0);
        transition: .5s;
      }
    }
  }
}
              //pulsedots
#pulsing {
  .pulsing {
    display: grid;
    position: absolute;
    margin-top: 50px;
    width: 10px;
    height: 10px;
    margin-left: 50px;
    border-radius: 50%;
    background: rgba(255, 0, 0, 0.452);
    box-shadow: 0 0 0 0 rgba(0, 0, 0, 0.267);
    animation: pl1 0.7s infinite alternate-reverse;
  }

  .pulsing2 {
    display: grid;
    position: absolute;
    margin-left: 25px;
    width: 15px;
    height: 15px;
    border-radius: 50%;
    background: rgba(0, 180, 204, 0.877);
    box-shadow: 0 0 0 0 rgba(0, 0, 0, 0.267);
    animation: pl1 1s infinite alternate;
    transform: scale(0);
    transition: transform ease-out 150ms;
  }

  @keyframes pl1 {
    100% {
      box-shadow: 0 0 0 20px rgba(0, 0, 0, 0);
      background-color: #0000009d;
    }
  }

  @keyframes pl1 {
    100% {
      box-shadow: 0 0 0 20px rgba(0, 0, 0, 0);
      background-color: #00000000;
      transform: scale(1);
    }
  }
}

              // main
#main {
  height: 100vh;
  .compme {
    display: flex;
    position: absolute;
    max-width: 100%;
    height: auto;
    z-index: -1;
    image-rendering: optimizeQuality;
    filter: blur(1px);
    -webkit-filter: blur(2px);
  }
  .content {
    color: rgba(255, 255, 255, 0.815);
    display: grid;
    position: relative;
    justify-content: center;
    max-height: 100vh;
    padding-top: 5em;
    h1 {
      font-size: 65px;
      font-family: "Poppins", Verdana, Geneva, Tahoma, sans-serif;
      cursor: none;
    }

    h1 span {
      transition: 0.4s;
    }

    h1:hover {
      color: rgb(255, 255, 255);
    }
    h1:hover span:nth-child(2) {
      margin-left: 4px;
    }
    h1:hover span:nth-child(3) {
      margin-left: 4px;
      color: rgb(0, 255, 200);
      font-size: 68px;
    }
    h1:hover  {
      box-decoration-break: slice;
      -webkit-box-decoration-break: slice;
      box-shadow: 0px 10px #000000;
    }
    .scroll {
      width: 15px;
      margin-left: 50%;
      margin-top: 15em;
      border-left: 0px solid transparent;
      border-width: 5px solid transparent;
      border-bottom: 10px solid rgb(255, 255, 255);
      animation: scroll 0.5s infinite alternate-reverse;
    }

    .scroll:hover {
      transition: 0.1s;
      border-bottom: 15px solid rgb(0, 0, 0);
      cursor: none;
    }
  }
}

              // second page
#secondpage {
  display: block;
  justify-content: center;
  align-items: center;
  position: relative;
  border-radius: 2%;
  padding-top: 0%;
  height: 100vh;
  h1 {
    display: flex;
    position: relative;
    justify-content: center;
    padding-top: 30px;
    padding-bottom: 30px;
    font-size: 60px;
    font-weight: 40%;
    white-space: nowrap;
    cursor: none;
  }
  a {
    text-decoration: none;
    color: white;
  }
  a:hover {
    color: rgb(0, 255, 200);
  }

  .aboutme {
    display: flex;
    p {
      display: flex;
      font-size: 25px;
      color: rgb(196, 196, 196);
      padding: 0% 5% 0% 5%;
    }
    img {
      display: flex;
      position: relative;
      width: 35%;
      height: auto;
      margin-left: 7%;
      border-radius: 10px;
      box-shadow: 7px 7px 15px 0px rgb(0, 0, 0);
    }
    @keyframes scroll {
      from {
        transform: translateY(10px);
      }
      to {
        transform: translateY(0px);
      }
    }
  }

  .scroll {
    width: 15px;
    margin-left: 50%;
    margin-top: 1em;
    border-left: 0px solid transparent;
    border-width: 5px solid transparent;
    border-bottom: 10px solid rgb(255, 255, 255);
    animation: scroll 0.5s infinite alternate;
  }

  .scroll:hover {
    transition: 0.1s;
    border-bottom: 15px solid rgb(0, 0, 0);
  }
}

              //third page
#thirdpage {
  padding: 0px;
  color: white;
  background-image: linear-gradient(
    to bottom right,
    rgba(0, 0, 0, 0),
    rgba(36, 36, 36, 0.178),
    rgba(0, 0, 0, 0)
  );
  height: 100vh;
  border-radius: 30px;
  h1 {
    display: flex;
    position: relative;
    justify-content: center;

    font-size: 60px;
    font-weight: 40%;
    white-space: nowrap;
    cursor: none;
  }
  a {
    text-decoration: none;
    color: white;
  }
  a:hover {
    color: rgb(0, 255, 200);
  }

  p {
    padding-top: 15px;
    font-size: 25px;
    color: rgb(196, 196, 196);
    display: flex;
    position: relative;
    justify-content: center;
  }

  .footer {
    display: flex;  
    justify-content: space-between;
    margin: 80px 450px 0px 450px;
    img {
      
      display: flex;
      float: left;
      justify-content: space-evenly;
      // padding-left: 16.5em;
      width: 3em;
      height: auto;
      padding-bottom: 5em;
      cursor: crosshair;
    }

    img:hover {
      transition: 0.5s;
      transform: rotate(1deg);
      width: 4em;
      filter: drop-shadow(5px 5px 20px rgba(255, 255, 255, 0.205));
    }
  }
}

#myBtn {
    display: none; /* Hidden by default */
    position: fixed; /* Fixed/sticky position */
    bottom: 20px; /* Place the button at the bottom of the page */
    right: 30px; /* Place the button 30px from the right */
    z-index: 99; /* Make sure it does not overlap */
    border: none; /* Remove borders */
    outline: none; /* Remove outline */
    background-color: red; /* Set a background color */
    color: white; /* Text color */
    cursor: pointer; /* Add a mouse pointer on hover */
    padding: 15px; /* Some padding */
    border-radius: 10px; /* Rounded corners */
    font-size: 18px; /* Increase font size */
  }
  
  #myBtn:hover {
    background-color: #555; /* Add a dark-grey background on hover */
}

